Subject: Re: [PATCH net-next 9/9] net: bridge: pack net_bridge better

From: Ido Schimmel <[email-masked]>
Date: Wed, 26 Sep 2018 16:30:14 +0300

On Wed, Sep 26, 2018 at 03:18:02PM +0300, Nikolay Aleksandrov wrote:
> Further reduce the size of net_bridge with 8 bytes and reduce the number of
> holes in it:
>  Before: holes: 5, sum holes: 15
>  After: holes: 2, sum holes: 3
> 
> Also as a bonus we get offload_fwd_mark in the first cache line and remove
> the need to pull the last cache line of net_bridge just for that member in
> fast path (should_deliver -> nbp_switchdev_allowed_egress).

But nbp_switchdev_allowed_egress() compares with 'offload_fwd_mark' from
'net_bridge_port', not 'net_bridge'...